using System;

namespace Hiperscan.SGS.SerialInterface.USB.DeviceFinder
{
    public class UsbDevice
    {
        internal UsbDevice()
        {

        }

        public override string ToString()
        {
            string value = "UsbDevice:\n";
            value += String.Format("  => DeviceId: {0}\n", this.DeviceId);
            value += String.Format("  => Vid:      {0:X4}\n", this.Vid);
            value += String.Format("  => Pid:      {0:X4}\n", this.Pid);
            value += String.Format("  => Serial:   {0}\n", this.Serial);
            value += String.Format("  => Vendor:   {0}\n", this.VendorName);
            value += String.Format("  => Product:  {0}", this.ProductName);

            return value;
        }

        internal string Serial { get; set; }
        internal int DeviceId { get; set; }
        internal uint Vid { get; set; }
        internal uint Pid { get; set; }

        internal string VendorName { get; set; }
        internal string ProductName { get; set; }
    }
}
